
{% extends "ldt/ldt_raw_base.html" %}

{% load i18n %}
{% load adminmedia %}

{% block js_import %}
	{{ block.super }}
    <script type="text/javascript" src="{{LDT_MEDIA_PREFIX}}/js/jquery.nyroModal.min.js"></script>  
	<script type="text/javascript" src="{{LDT_MEDIA_PREFIX}}js/projectscontents.js" ></script>  
	{{ content_form.media.js }}   

{% endblock %}

{% block css_import %}
	{{ block.super }}
	{{ content_form.media.css }}
	<link rel="stylesheet" href="{{LDT_MEDIA_PREFIX}}css/ldt.css" />
	<link rel="stylesheet" href="{{LDT_MEDIA_PREFIX}}css/ldtform.css" />
	<link rel="stylesheet" href="{{LDT_MEDIA_PREFIX}}css/workspace.css" />
{% endblock %}

{% block js_declaration %}
	{{ block.super }}
	<script type="text/javascript">
	
	function init_events(container) {
		$("input[name=admin_list]").bind("change", function () {
			var line = $(this).closest('tr');
			var is_member = $('input[name=members_list]', line)
			
			if ($(this).is(':checked') && !is_member.is(':checked')) {
				is_member.prop('checked', 'checked');
			}			
		});
		
		$("input[name=members_list]").bind("change", function () {
			var line = $(this).closest('tr');
			var is_admin = $('input[name=admin_list]', line)

			if (!$(this).is(':checked') && is_admin.is(':checked')) {
				is_admin.prop('checked', false);
			}	
		});
				
		var user_filter_url = "{% url ldt.ldt_utils.views.users_filter filter='__FILTER__' id_group='__ID_GROUP__'%}";
		
		input_list_init = [
			{'input_selector':"#searchusersinput", 'container_selector':"#userslistcontainer", 'url':user_filter_url}
		];	           	
		searchFieldInit(input_list_init);		
	}
	
	$(document).ready(function() {	
		$("#close_button").click(function (e) {
			e.preventDefault();
			parent.$.nmTop().close();
		});
		
		var check_all = '{% trans "check all" %}';
		var uncheck_all = '{% trans "uncheck all" %}';
		
		$("#check_projects").attr('title', uncheck_all);
		$("#check_projects").live("change", function () {
			var members_checkboxes = $("input[name=members_list]");
			
			if ($("#check_projects").is(":checked")) {
				members_checkboxes.attr('checked', 'true');
				$("#check_projects").attr('title', uncheck_all );
			} else {
				members_checkboxes.removeAttr('checked');
				$("#check_projects").attr('title', check_all);
			}

			members_checkboxes.trigger("change");		
		});
		
		init_events(null);

						
	});
	</script>

{% endblock %}

{% block body %}
				 
	<div id="add_contribution" class="span-12 last">
	<div class="projectscontentstitle span-12 last">{% if group_id %}{% trans "Update a group" %}{% else %}{% trans "Create a group" %}{% endif %}</div>
	
	<div class="span-4 last searchfielddiv" style="margin-top: 15px;float: right;" >
		<div class="searchfield rounded"><input style="background: white; width: 100px;" id="searchusersinput" class="searchfieldinput searchfieldinputbase" value="{% trans 'search' %}" type="text" /><img id="projectsajaxloader" class="searchajaxloader" src="{{LDT_MEDIA_PREFIX}}/img/ajax-loader-16x16.gif" alt="loader"/><img id="projecsclear" class="searchclear" src="{{LDT_MEDIA_PREFIX}}img/clear-left.png"/></div>
	</div>
	
	<form action="{% if group_id %}{% url ldt.ldt_utils.views.update_group group_id %} {% else %}{% url ldt.ldt_utils.views.create_group %}{% endif %}" method="POST" {% if target_parent %}target="_parent"{% endif %}>
	{% csrf_token %} 
	<input type="hidden" name="form_status" value="{{form_status}}" id="project_form_status" />
	<input type="hidden" name="id_group" value="{{ group_id }}" id="id_group"/>
	<label for="name">{% trans "Name" %}:</label>
	{{form.name}}
	{% for error in form.errors.name %}
	<span class="error">{{ error }}</span>
	{% endfor %}
	
	
	<div id="userslistcontainer">
		{% include "ldt/ldt_utils/partial/userslist.html" %}
	</div>
		
	<div id="submitcontent-buttons" class="span-12 last">
		<button type="button" id="close_button"  value="close">{% trans 'close_cancel' %}</button>
		{% if group_id %}
		<button class="button" id="ldt_submit" type="submit" value="update" name="submit_button">{% trans "update_group" %}</button>
		<button class="button" id="ldt_submit" type="submit" value="delete" name="submit_button">{% trans "delete_group" %}</button>
		{% else %}
		<button class="button" id="ldt_submit" type="submit" value="create" name="submit_button">{% trans "create_group" %}</button>
		{% endif %}
	</div>
	</form>
	</div>
		
{% endblock %}

